ChartDirector Ver 5.0 (PHP Edition)

Axis.copyAxis

Usage

copyAxis(axis)

Description

Copies the scale and labels from another axis.
This method is typically used to ensure the axes on different charts are identical. For example, if multiple charts are draw and are stacked up, and you want the x-axes of the charts to be the same for easy comparison, you may copy the x-axis from one chart to the other charts.
The differences between copyAxis and Axis.syncAxis are:

- Axis.syncAxis relates the axes with a linear relationship, so the axes may not be exact copies of one another.
- Axis.syncAxis synchronizes axis scale and copies only scale related labels, such as the labels generated by auto-scaling, Axis.setLinearScale, Axis.setLogScale or Axis.setDateScale.
- copyAxis copies all labels, including labels created using Axis.setLabels and Axis.setLabels2, which may be arbitrary text.

Arguments

Argument | Default | Description
--- | --- | ---
axis | (Mandatory) | The axis to copy from.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.